classification
Title: Report skipped distutils tests as skipped
Type: enhancement Stage: resolved
Components: Distutils, Tests Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: Arfrever, eric.araujo, python-dev, serhiy.storchaka, tarek, vajrasky, zach.ware
Priority: normal Keywords: patch

Created on 2013-11-04 12:57 by serhiy.storchaka, last changed 2013-12-18 14:50 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
skip_tests_distutils.patch serhiy.storchaka, 2013-11-04 13:46 review
Messages (8)
msg202123 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-11-04 12:57
Some skipped distutils tests are reported as passed. Arfrever pointed out on some of these tests on IRC. Proposed patch adds explicit reporting them as skipped.

See also issue18702.
msg202128 - (view) Author: Vajrasky Kok (vajrasky) * Date: 2013-11-04 13:19
You forgot to upload the "proposed patch", Serhiy.
msg202136 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-11-04 13:46
Thank you Vajrasky.
msg202148 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * (Python triager) Date: 2013-11-04 16:48
> Lib/distutils/tests/test_build_ext.py
...
> -            ALREADY_TESTED = True
> +            ALREADY_TESTED = type(self).__name__

Why this change?

> Lib/distutils/tests/test_build_ext.py
...
> +    @unittest.skipIf(sys.version < '2.6',
> +                     'site.USER_SITE was introduced in 2.6')
>      def test_user_site(self):
> -        # site.USER_SITE was introduced in 2.6
> -        if sys.version < '2.6':
> -            return

This check probably could be deleted.
msg206203 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-12-14 22:41
> Why this change?

For better skip message (see a change above).
msg206496 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2013-12-18 05:15
Alright.  Patch looks good, thanks.
msg206522 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-12-18 14:48
New changeset b3f3e6afe966 by Serhiy Storchaka in branch '3.3':
Issue #19492: Silently skipped distutils tests now reported as skipped.
http://hg.python.org/cpython/rev/b3f3e6afe966

New changeset da3472687566 by Serhiy Storchaka in branch 'default':
Issue #19492: Silently skipped distutils tests now reported as skipped.
http://hg.python.org/cpython/rev/da3472687566

New changeset d5b0bb2a1790 by Serhiy Storchaka in branch '2.7':
Issue #19492: Silently skipped distutils tests now reported as skipped.
http://hg.python.org/cpython/rev/d5b0bb2a1790
msg206523 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-12-18 14:50
Thanks Arfrever, Zachary and Éric for reviews.
History
Date User Action Args
2013-12-18 14:50:37serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg206523

stage: patch review -> resolved
2013-12-18 14:48:42python-devsetnosy: + python-dev
messages: + msg206522
2013-12-18 05:15:20eric.araujosetassignee: eric.araujo -> serhiy.storchaka
messages: + msg206496
2013-12-14 22:41:17serhiy.storchakasetmessages: + msg206203
2013-11-13 20:43:46zach.waresetnosy: + zach.ware
2013-11-04 16:48:39Arfreversetnosy: + Arfrever
messages: + msg202148
2013-11-04 13:46:20serhiy.storchakasetfiles: + skip_tests_distutils.patch
keywords: + patch
messages: + msg202136
2013-11-04 13:19:03vajraskysetnosy: + vajrasky
messages: + msg202128
2013-11-04 12:57:44serhiy.storchakacreate